This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 821672 - New Quickstart: Camel Gateway esbschedule feature
New Quickstart: Camel Gateway esbschedule feature
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Examples (Show other bugs)
5.3.0 GA
Unspecified Unspecified
medium Severity medium
: ER1
: 5.3.1
Assigned To: Default User
Matej Melko
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 06:25 EDT by Robert Balent
Modified: 2015-11-02 03:06 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.3.0 GA
Doc Type: Enhancement
Doc Text:
A camel_esbschedule quickstart has been added to demonstrate the scheduling feature of CamelGateway.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
camel_esbschedule quickstart (5.14 KB, application/zip)
2012-10-16 04:47 EDT, Robert Balent
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3860 Major Closed Incorporate camel gateway esbschedule quickstart 2014-01-19 18:51:23 EST

  None (edit)
Description Robert Balent 2012-05-15 06:25:09 EDT
I think it would be great to have quickstart to "esbschedule" feature of CamelGateway[1]. This feature invokes Camel endpoints which can't be invoked externally. For example Class gateway[2], Http gateway[3], SQL gateway[4].

So the Camel gateway url will look like this:

<from uri="esbschedule:5000:class:org.jboss.soa.esb.samples.quickstart.camelesbschedule.SimpleBean?method=getOutput"/>


This quickstart invokes bean's method "getOutput" every 5 seconds and prints output to server log.


I'm attaching complete quickstart which can be included.



[1] https://community.jboss.org/wiki/CamelGateway
[2] http://camel.apache.org/class.html
[3] http://camel.apache.org/http.html
[4] http://camel.apache.org/sql-component.html
Comment 2 Robert Balent 2012-10-16 04:47:21 EDT
Created attachment 628048 [details]
camel_esbschedule quickstart
Comment 3 JBoss JIRA Server 2012-10-18 11:27:27 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3860 to Resolved
Comment 4 JBoss JIRA Server 2012-10-18 11:27:32 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3860 to Closed

Note You need to log in before you can comment on or make changes to this bug.